> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/platform-service/user/permission/createmembergrouppermission.md).

# CreateMemberGroupPermission

## 1. 接口描述

本接口(CreateMemberGroupPermission)用于授予一个成员组相关访问策略信息，从而对进行成员组下所有成员进行权限控制。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型              | 描述                                                                  |
| --------------- | -- | --------------- | ------------------------------------------------------------------- |
| allResource     | 是  | Integer         | <p>是否为全部资源。</p><p>1：是；0：否 ，当0 是resourceGroupUid为必填。</p><p>默认值：0</p> |
| policies        | 是  | Array of String | 访问策略唯一ID列表。                                                         |
| memberGroupId   | 是  | String          | 成员组唯一ID。                                                            |
| resourceGroupId | 否  | String          | 资源组唯一ID。                                                            |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 创建成员组信息。**

```json
POST /api/v2/user HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateMemberGroupPermission
<Common Request Params>

Request：
{
  "allResource": 0,
  "resourceGroupId": "resourceGroupId",
  "policies": ["policyId"],
  "memberGroupId": "memberGroupId"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                         | 说明         |
| ------- | --------------------------- | ---------- |
| 404     | MEMBER\_GROUP\_NOT\_FOUNT   | 指定的用户组不存在。 |
| 404     | RESOURCE\_GROUP\_NOT\_FOUND | 指定的资源组不存在。 |
